/**
 * @license
 * Visual Blocks Editor
 *
 * Copyright 2012 Google Inc.
 * https://developers.google.com/blockly/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @fileoverview Colour blocks for Blockly.
 * @author fraser@google.com (Neil Fraser)
 */
'use strict';

goog.provide('Blockly.Blocks.requests');

goog.require('Blockly.Blocks');


/**
 * Common HSV hue for all blocks in this category.
 */
Blockly.Blocks.requests.HUE = "#ff8b2c";

Blockly.Blocks['request_import'] = {
  /**
   * @this Blockly.Block
   */
  init: function() {
    this.setColour(Blockly.Blocks.requests.HUE);   
    this.appendDummyInput()
        .appendField(Blockly.Msg.REQUEST_IMPORT);
    // this.setInputsInline(false);
    // this.setOutput(true);
    this.setPreviousStatement(true);
    this.setNextStatement(true);
  },
};

Blockly.Blocks['request_post'] = {
  /**
   * @this Blockly.Block
   */
  init: function() {
    this.setColour(Blockly.Blocks.requests.HUE); 
    this.appendDummyInput()
        .appendField(Blockly.Msg.REQUEST_POST_DATATYPE);
    this.appendDummyInput()
        .appendField(Blockly.Msg.REQUEST_SET_URL)
        .appendField(new Blockly.FieldTextInput("http://192.168.4.1/get"),"URL")
    this.appendValueInput("DATA")
        .appendField(Blockly.Msg.REQUEST_DATA);
    // this.setInputsInline(false);
    // this.setOutput(true);
    this.setPreviousStatement(true);
    this.setNextStatement(true);
  },
};

